### Hierarchy

- Spec
  - Color

## Index

### Constructors

- constructor

### Properties

- _alpha
- _blue
- _green
- _red
- nodeChildDict

### Accessors

- alpha
- blue
- green
- red

### Methods

- BLACK
- WHITE

## Constructors

### constructor

- new Color(node: Node, red?: number, green?: number, blue?: number, alpha?: number): Color

- Overrides Spec.constructor

  - Defined in print/PrintForm.ts:581

  #### Parameters

  - ##### node: Node

  - ##### Optional red: number

  - ##### Optional green: number

  - ##### Optional blue: number

  - ##### Optional alpha: number

  #### Returns Color

## Properties

### _alpha

_alpha: number

- Defined in print/PrintForm.ts:581

### _blue

_blue: number

- Defined in print/PrintForm.ts:580

### _green

_green: number

- Defined in print/PrintForm.ts:579

### Private _red

_red: number

- Defined in print/PrintForm.ts:578

### Protected nodeChildDict

nodeChildDict: Object

Inherited from Spec.nodeChildDict

- Defined in print/PrintForm.ts:109

## Accessors

### alpha

- get alpha(): number

- - Defined in print/PrintForm.ts:609

  #### Returns number

### blue

- get blue(): number

- - Defined in print/PrintForm.ts:618

  #### Returns number

### green

- get green(): number

- - Defined in print/PrintForm.ts:615

  #### Returns number

### red

- get red(): number

- - Defined in print/PrintForm.ts:612

  #### Returns number

## Methods

### Static BLACK

- BLACK(): Color

- - Defined in print/PrintForm.ts:570

  #### Returns Color

### Static WHITE

- WHITE(): Color

- - Defined in print/PrintForm.ts:562

  #### Returns Color

Generated using TypeDoc